package com.muyu.rule.common.basic;

import com.muyu.rule.common.basic.handler.DataEngineHandler;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.basic
 * @Project：cloud-etl-rule
 * @name：BasicEngine
 * @Date：2024/8/29 14:29
 */
public interface BasicEngine<V> {

    public void set(V dataValue);

    public V get();

    public default void remove(){
        DataEngineHandler.remove();
    }
    public void execution();



}
